%define cvsdate 20040103

Summary: RPM installer/updater
Name: yum
Version: 2.0.5
Release: 0.9.2.legacy
Epoch: 0
License: GPL
Group: System Environment/Base
Source0: http://linux.duke.edu/projects/yum/download/2.0/yum-%{version}.tar.gz
#Source0: http://linux.duke.edu/yum/download/2.0/daily/yum-%{cvsdate}.tar.gz
Source1: yum.conf.legacy
Source100: Fedora-GPG-KEY
Source101: RPM-GPG-KEY
Source102: Fedora-Legacy-GPG-KEY
URL: http://www.dulug.duke.edu/yum/
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: gettext
Obsoletes: yum-phoebe
Requires: python, rpm-python >= 4.1.1, libxml2-python
PreReq: /sbin/chkconfig, /sbin/service
BuildRoot: %{_tmppath}/%{name}-root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q -n yum-%{version}
cp -p %{SOURCE100} %{SOURCE101} %{SOURCE102} .

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp -f $RPM_SOURCE_DIR/yum.conf.legacy $RPM_BUILD_ROOT/etc/yum.conf

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 -eq 1 ]; then
  /sbin/chkconfig --add yum
fi
exit 0

%preun
if [ $1 = 0 ]; then
  /sbin/service yum stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del yum
fi
exit 0

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog *-GPG-KEY
%config(noreplace) %{_sysconfdir}/yum.conf
%config %{_sysconfdir}/cron.daily/yum.cron
%config %{_sysconfdir}/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%dir %{_datadir}/yum
%{_datadir}/yum/*
%{_bindir}/yum
%{_bindir}/yum-arch
/var/cache/yum
%{_mandir}/man*/*

%changelog
* Sun Oct  3 2004 Charles R. Anderson <cra@wpi.edu> 2.0.5-0.9.2.legacy
- add explicit Epoch: 0
- clean up pre/post scriptlets
- only run chkconfig --add on initial installs, not upgrades
- remove $basearch from [updates-testing] name, since it isn't in the others

* Sat Jun 12 2004 Marc Deslauriers <marcdeslauriers@videotron.ca> 2.0.5-0.9.1.legacy
- Changed distver to upgrade cleanly to FC1
- Added GPG public keys
- Removed Fedora Core reference in yum.conf.legacy file
- Fixed ownership on yum dir

* Sun May 16 2004 Jesse Keating <jkeating@j2solutions.net> 2.0.5-2.9.legacy
- Altered for Fedora Legacy on RHL9

* Mon Feb 23 2004 Bill Nottingham <notting@redhat.com> 2.0.5-1
- push 2.0.5 as a FC1 update

* Fri Jan 23 2004 Bill Nottingham <notting@redhat.com> 2.0.4.20040103-1
- update to current snapshot
- fix config for FC2 test 1

* Tue Dec 23 2003 Jeff Johnson <jbj@redhat.com> 2.0.4-5
- build yum daily snapshot for amd64 fix.

* Wed Nov 12 2003 Bill Nottingham <notting@redhat.com> 2.0.4-4
- patch for excluding dirs in yum-arch from CVS

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 2.0.4-3
- patch to work with python 2.3 from Seth

* Wed Oct 29 2003 Elliot Lee <sopwith@redhat.com> 2.0.4-2
- Stick in a new yum.conf for FC1.

* Mon Oct 20 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- new upstream release 2.0.4

* Tue Sep 16 2003 Jeff Johnson <jbj@redhat.com> 2.0.3-1
- update to 2.0.3
- drop yum-init patch, merged into 2.0.3.
- change rpm version requirement to 4.1.1.

* Thu Jul 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- change init script to more current RHL style

* Wed Jul 23 2003 Nalin Dahyabhai <nalin@redhat.com>
- require libxml2-python, because yum does

* Thu Jul 17 2003 Jeff Johnson <jbj@redhat.com> 2.0-1
- update to 2.0.

* Thu May 22 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030522
- update to snapshot.

* Mon May 12 2003 Jeff Johnson <jbj@redhat.com> 1.98-0.20030512
- create.
